Skip to content

Get Information Request Answers
Alpha

Request

Get answers to information requests for a booking.

Each answer corresponds to a question defined as an information request in the Experience API.

Security
OAuth2(Required scopes: booking.read)
Path
bookingIdstringrequired

The unique identifier of the booking.

Query
cursorstring

Pagination cursor for fetching the next page of results. Omit or pass an empty string to start from the beginning of the list.

limitinteger, (int32), [ 1 .. 100 ]

Maximum number of items to return per page. Defaults to 100, maximum 100.

Default:100
GET
/v1/bookings/{bookingId}/information-request-answers
curl -i -X GET \
  'https://api.understory.io/v1/bookings/{bookingId}/information-request-answers?cursor=string&limit=100' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
nextstring

Cursor for the next page of results. An empty string or absent value indicates the end of the list.

itemsArray of any(InformationRequestAnswer)
Response
{ "next": "string", "items": [ {} ] }